:root {
  font-family: Inter, system-ui, Avenir, Helvetica, Arial, sans-serif;
  line-height: 1.5;
  font-weight: 400;

  color-scheme: light dark;
  color: rgba(255, 255, 255, 0.87);
  background-color: #242424;

  font-synthesis: none;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

a {
  font-weight: 500;
  color: #646cff;
  text-decoration: inherit;
}
a:hover {
  color: #535bf2;
}

body {
  margin: 0;
  display: flex;
  place-items: center;
  min-width: 320px;
  min-height: 100vh;
}

h1 {
  font-size: 3.2em;
  line-height: 1.1;
}

#app {
  max-width: 1280px;
  margin: 0 auto;
  padding: 2rem;
  text-align: center;
}

.card {
  padding: 2em;
}

.read-the-docs {
  color: #888;
}

button {
  border-radius: 8px;
  border: 1px solid transparent;
  padding: 0.6em 1.2em;
  font-size: 1em;
  font-weight: 500;
  font-family: inherit;
  background-color: #1a1a1a;
  cursor: pointer;
  transition: border-color 0.25s;
}
button:hover {
  border-color: #646cff;
}
button:focus,
button:focus-visible {
  outline: 4px auto -webkit-focus-ring-color;
}

@media (prefers-color-scheme: light) {
  :root {
    color: #213547;
    background-color: #ffffff;
  }
  a:hover {
    color: #747bff;
  }
  button {
    background-color: #f9f9f9;
  }
}

#colorDisplay {
  width: 15em;
  aspect-ratio: 1;
  border: 3px solid whitesmoke;
  border-radius: 1em;
  background-color: black;
}

.converter {
  display: flex;
  gap: 2em;
}

.right {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1em;
}

.converter p {
  color: #e2e2e2;
}

button {
  margin-top: 1em;
  margin-bottom: 1em;
}

.converter input {
  padding: 0.4em;
  border-radius: 1em;
  border: 3px solid rgb(220, 220, 220);
  text-align: center;
  font-size: 1.3em;
  width: 9em;
}
.rgb2hex #redInput,#blueInput,#greenInput {
  width: 2.1em;
}
#redInput {
  border-color: red;
}
#greenInput {
  border-color: green;
}
#blueInput {
  border-color: blue;
}

.io {
  display: flex;
  align-items: center;
  gap: 0.2em;
}

.madeWith {
  position: absolute;
  bottom: 2em;
  right: 4em;
  display: flex;
  align-items: center;
  justify-content: flex-end;
}
.madeWith span {
}
.logo {
  height: 2em;
  padding: 1.5em;
  padding-right: 0.1em;
  will-change: filter;
  transition: filter 300ms;
}
.logo:hover {
  filter: drop-shadow(0 0 2em #646cffaa);
}
.logo.vanilla:hover {
  filter: drop-shadow(0 0 2em #3178c6aa);
}